package org.springblade.pson.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 事件属性关联表
 * </p>
 *
 * @author zbc
 * @since 2021-06-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class EventPropMap implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

	@ApiModelProperty("事件ID")
    private Long eventId;

	@ApiModelProperty("属性ID")
    private Long propId;

	@ApiModelProperty("事件属性位置")
    private String propPosition;

	@ApiModelProperty("创建时间")
    private Date createTime;


}
