package org.springblade.pson.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 用户画像-埋点事件表
 * </p>
 *
 * @author zbc
 * @since 2021-04-16
 */
@Data
@Accessors(chain = true)
public class PsonEvent implements Serializable {

    private static final long serialVersionUID = 1L;
	@ApiModelProperty("主键id")
	@TableId(value = "id", type = IdType.AUTO)
    private Integer id;

	@ApiModelProperty("所属项目")
    private Integer projectId;

	@ApiModelProperty("项目名称")
    private String projectName;

	@ApiModelProperty("事件英文")
    private String tagEvent;

	@ApiModelProperty("事件名称")
    private String tagEventName;

	@ApiModelProperty("应埋点平台 预留")
    private String platform;


}
