package org.springblade.sms.bean.entity;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 模板变量值
 * 
 * @author William
 * @date 2022年11月15日 上午9:30:55
 */
@Data
public class TemplateAttr implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty("变量名")
	private String attrName;

	@ApiModelProperty("变量占位符")
	private String attrCode;
	
	@ApiModelProperty("变量值")
	private String attrValue;
	
	@ApiModelProperty("变量类型：1-输入框；2-动态字段")
	private Integer attrType;

	@ApiModelProperty("变量默认值")
	private String defValue;
	
	@ApiModelProperty("动态字段名")
	private String field;

	public TemplateAttr() {
	}

	public TemplateAttr(String attrCode, String attrValue) {
		this.attrCode = attrCode;
		this.attrValue = attrValue;
	}

}
