package org.springblade.sms.enums;

/**
 * 周期发送类型
 * 
 * @author William
 * @date 2022年11月15日 下午3:35:24
 */
public enum CycleType {
	day(1, "天"),
	
	week(2, "周"),

	month(3, "月");

	private Integer value;
	private String message;

	private CycleType(int value, String message) {
		this.value = value;
		this.message = message;
	}

	/**
	 * @return the value
	 */
	public Integer getValue() {
		return value;
	}

	/**
	 * @param value the value to set
	 */
	public void setValue(Integer value) {
		this.value = value;
	}

	/**
	 * @return the message
	 */
	public String getMessage() {
		return message;
	}

	/**
	 * @param message the message to set
	 */
	public void setMessage(String message) {
		this.message = message;
	}

	public static CycleType reslove(Integer value) {
		CycleType[] values = CycleType.values();
		for (CycleType val : values) {
			if (value != null && val.getValue().intValue() == value) {
				return val;
			}
		}
		return null;
	}
}
