package org.springblade.sms.enums;

/**
 * 短信模板默认属性
 * 
 * @author William
 * @date 2022年11月14日 下午6:26:39
 */
public enum SmsTemplateSystemAttr {
	phone("phone", "手机号码"),

	url("url", "链接"),

	cpname("cpname", "产品名称");

	private String code;
	private String msg;

	private SmsTemplateSystemAttr(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	/**
	 * @return the code
	 */
	public String getCode() {
		return code;
	}

	/**
	 * @param code the code to set
	 */
	public void setCode(String code) {
		this.code = code;
	}

	/**
	 * @return the msg
	 */
	public String getMsg() {
		return msg;
	}

	/**
	 * @param msg the msg to set
	 */
	public void setMsg(String msg) {
		this.msg = msg;
	}
}
