package org.springblade.sms.enums;

/**
 * 草稿状态
 *
 * @Author：william
 * @Date：2022/5/26
 */
public enum TaskDraftStatus {
	draft(0, "草稿"),

	not_draft(1, "非草稿");

	private Integer value;
	private String message;

	private TaskDraftStatus(int value, String message) {
		this.value = value;
		this.message = message;
	}

	public Integer getValue() {
		return value;
	}

	public void setValue(Integer value) {
		this.value = value;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}
	
	public static TaskDraftStatus reslove(Integer value) {
		TaskDraftStatus[] values = TaskDraftStatus.values();
		for (TaskDraftStatus val : values) {
			if (value != null && val.getValue().intValue() == value) {
				return val;
			}
		}
		return null;
	}
}
