package org.springblade.sms.kafka;

import org.springblade.sms.component.SmsConfig;

import lombok.Data;

/**
 * 短信状态查询需要的数据，在kafka之间传递
 * 
 * @author William
 * @date 2022年11月13日 下午11:09:37
 */
@Data
public class SmsStatusKafka {

	/**
	 * 查询短信状态次数
	 */
	private Integer times;

	/**
	 * 手机号
	 */
	private String mobile;

	/**
	 * 发送短信后，联通接口返回的业务id
	 */
	private String smsBizId;

	/**
	 * 短信配置
	 */
	private SmsConfig smsConfig;

	public SmsStatusKafka() {
	}

}
