//package org.springblade.useranalysis.controller;
//
//
//import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
//import com.baomidou.mybatisplus.extension.api.ApiController;
//import com.baomidou.mybatisplus.extension.api.R;
//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import lombok.AllArgsConstructor;
//import org.springblade.useranalysis.entity.AdsPropertyList;
//import org.springblade.useranalysis.service.AdsPropertyListService;
//import org.springframework.web.bind.annotation.*;
//
//import javax.annotation.Resource;
//import java.io.Serializable;
//import java.util.List;
//
///**
// * 属性选择下拉菜单(AdsPropertyList)表控制层
// *
// * @author limeng
// * @since 2021-07-06 16:20:41
// */
//@RestController
//@AllArgsConstructor
//@RequestMapping("adsPropertyList")
//public class AdsPropertyListController extends ApiController {
//    /**
//     * 服务对象
//     */
//
//    private  final  AdsPropertyListService adsPropertyListService;
//
//    /**
//     * 分页查询所有数据
//     *
//     * @param page            分页对象
//     * @param adsPropertyList 查询实体
//     * @return 所有数据
//     */
//    @GetMapping
//    public R selectAll(Page<AdsPropertyList> page, AdsPropertyList adsPropertyList) {
//        return success(this.adsPropertyListService.page(page, new QueryWrapper<>(adsPropertyList)));
//    }
//
//    /**
//     * 通过主键查询单条数据
//     *
//     * @param id 主键
//     * @return 单条数据
//     */
//    @GetMapping("{id}")
//    public R selectOne(@PathVariable Serializable id) {
//        return success(this.adsPropertyListService.getById(id));
//    }
//
//    /**
//     * 新增数据
//     *
//     * @param adsPropertyList 实体对象
//     * @return 新增结果
//     */
//    @PostMapping
//    public R insert(@RequestBody AdsPropertyList adsPropertyList) {
//        return success(this.adsPropertyListService.save(adsPropertyList));
//    }
//
//    /**
//     * 修改数据
//     *
//     * @param adsPropertyList 实体对象
//     * @return 修改结果
//     */
//    @PutMapping
//    public R update(@RequestBody AdsPropertyList adsPropertyList) {
//        return success(this.adsPropertyListService.updateById(adsPropertyList));
//    }
//
//    /**
//     * 删除数据
//     *
//     * @param idList 主键结合
//     * @return 删除结果
//     */
//    @DeleteMapping
//    public R delete(@RequestParam("idList") List<Long> idList) {
//        return success(this.adsPropertyListService.removeByIds(idList));
//    }
//}
