//package org.springblade.useranalysis.controller;
//
//
//import com.alibaba.fastjson.JSONObject;
//import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
//import io.swagger.annotations.Api;
//import org.springblade.useranalysis.common.utils.CommonUtil;
//import org.springblade.useranalysis.common.utils.Constants;
//import org.springblade.useranalysis.common.utils.ErrorEnum;
//import com.baomidou.mybatisplus.extension.api.ApiController;
//import org.springblade.useranalysis.entity.clickhouse.HisFlowOrder;
//import org.springblade.useranalysis.service.HisFlowOrderService;
//import org.springframework.web.bind.annotation.*;
//import io.swagger.annotations.ApiOperation;
//
//import javax.annotation.Resource;
//import java.util.List;
//
//import org.springblade.useranalysis.dto.ResultSegment;
//
///**
// * (HisFlowOrder)表控制层
// *
// * @author limeng
// * @since 2021-07-06 16:01:04
// */
//@RestController
//@RequestMapping("hisFlowOrder")
//@Api(value = "HisFlowOrder", tags = "HisFlowOrder")
//public class HisFlowOrderController extends ApiController {
//    /**
//     * 服务对象
//     */
//    @Resource
//    private HisFlowOrderService hisFlowOrderService;
//
//    /**
//     * 查询数据
//     *
//     * @param id 实体对象
//     * @return 查询结果
//     */
//
//    @ApiOperation("查询列表")
//    @RequestMapping(value = "/list", method = RequestMethod.POST)
//    public ResultSegment list(@RequestParam(value = "id", required = false) String id) {
//        LambdaQueryWrapper<HisFlowOrder> objectLambdaQueryWrapper = new LambdaQueryWrapper<>();
//        List<HisFlowOrder> list = hisFlowOrderService.list(objectLambdaQueryWrapper);
//        return new ResultSegment(true, Constants.SUCCESS_CODE, Constants.SUCCESS_MSG, list);
//    }
//
//    /**
//     * 新增数据
//     *
//     * @param hisFlowOrder 实体对象
//     * @return 新增结果
//     */
//    @ApiOperation(value = "添加")
//    @RequestMapping(value = "/addHisFlowOrder", method = RequestMethod.POST)
//    public JSONObject addEventAnalysisModel(@RequestBody HisFlowOrder hisFlowOrder) {
//        //Todo 判断重复
//        if (hisFlowOrderService.save(hisFlowOrder)) {
//            return CommonUtil.successJson();
//        } else {
//            return CommonUtil.errorJson(ErrorEnum.E_400);
//        }
//    }
//
//    /**
//     * 修改数据
//     *
//     * @param hisFlowOrder 实体对象
//     * @return 修改结果
//     */
//    @ApiOperation("修改用户人群")
//    @PutMapping(value = "/update")
//    public JSONObject updateHisFlowOrder(@RequestBody HisFlowOrder hisFlowOrder) {
//
//        if (hisFlowOrderService.updateById(hisFlowOrder)) {
//            return CommonUtil.successJson();
//        } else {
//            return CommonUtil.errorJson(ErrorEnum.E_10010);
//        }
//
//
//    }
//
//    /**
//     * 删除数据
//     *
//     * @param id 主键
//     * @return 删除结果
//     */
//    @ApiOperation(value = "删除")
//    @DeleteMapping(value = "/deleteById")
//    public JSONObject deleteHisFlowOrder(@RequestParam(value = "id", required = false) String id) {
//        if (hisFlowOrderService.removeById(id)) {
//            return CommonUtil.successJson();
//        } else {
//            return CommonUtil.errorJson(ErrorEnum.E_10010);
//        }
//    }
//}
