/**
 * 
 */
package org.springblade.useranalysis.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * @author wookvn
 *
 */
public class EventDistributeRange implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@JsonIgnore
	private String startStr;
	
	@JsonIgnore
	private String endStr;
	
	private Integer start;

	private Integer end;
	
	public EventDistributeRange() {
		
	}

	/**
	 * @param startStr
	 * @param endStr
	 */
	public EventDistributeRange(String startStr, String endStr) {
		super();
		this.startStr = startStr;
		this.endStr = endStr;
		this.start = Integer.valueOf(startStr);
		this.end = Integer.valueOf(endStr);
	}

	/**
	 * @param startStr
	 * @param endStr
	 * @param start
	 * @param end
	 */
	public EventDistributeRange(String startStr, String endStr, Integer start, Integer end) {
		super();
		this.startStr = startStr;
		this.endStr = endStr;
		this.start = start;
		this.end = end;
	}

	/**
	 * @return the startStr
	 */
	public String getStartStr() {
		return startStr != null && !"".equals(startStr) ? startStr : String.valueOf(start);
	}

	/**
	 * @param startStr the startStr to set
	 */
	public void setStartStr(String startStr) {
		this.startStr = startStr;
	}

	/**
	 * @return the endStr
	 */
	public String getEndStr() {
		return endStr != null && !"".equals(endStr) ? endStr : (end != null && end == 0 ? "-" : String.valueOf(end));
	}

	/**
	 * @param endStr the endStr to set
	 */
	public void setEndStr(String endStr) {
		this.endStr = endStr;
	}

	/**
	 * @return the start
	 */
	public Integer getStart() {
		return start;
	}

	/**
	 * @param start the start to set
	 */
	public void setStart(Integer start) {
		this.start = start;
	}

	/**
	 * @return the end
	 */
	public Integer getEnd() {
		return end;
	}

	/**
	 * @param end the end to set
	 */
	public void setEnd(Integer end) {
		this.end = end;
	}
	
	
}
