package org.springblade.useranalysis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * 用户行为分析-漏斗分析查询保存(AdsAnalysisHoppermodel)表实体类
 *
 * @author limeng
 * @since 2021-07-06 11:14:41
 */
@SuppressWarnings("serial")
public class AdsAnalysisHoppermodel extends Model<AdsAnalysisHoppermodel> {
    //模型id
    @TableId(type = IdType.AUTO)
    private String modelId;
    //模型名称
    private String modelName;
    //开始日期
    private String eventCodes;
    //结束日期
    private String target;
    //行为事件
    private String filterParameter;
    //细分维度
    private String startDate;
    //过滤条件
    private String endDate;


    public String getModelId() {
        return modelId;
    }

    public void setModelId(String modelId) {
        this.modelId = modelId;
    }

    public String getModelName() {
        return modelName;
    }

    public void setModelName(String modelName) {
        this.modelName = modelName;
    }

    public String getEventCodes() {
        return eventCodes;
    }

    public void setEventCodes(String eventCodes) {
        this.eventCodes = eventCodes;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public String getFilterParameter() {
        return filterParameter;
    }

    public void setFilterParameter(String filterParameter) {
        this.filterParameter = filterParameter;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

}
