package org.springblade.useranalysis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * 用户行为分析-留存分析查询保存(AdsAnalysisRemainmodel)表实体类
 *
 * @author limeng
 * @since 2021-07-06 11:15:40
 */
@SuppressWarnings("serial")
public class AdsAnalysisRemainmodel extends Model<AdsAnalysisRemainmodel> {
    //模型id
    @TableId(type = IdType.AUTO)
    private String modelId;
    //模型名称
    private String modelName;
    //开始日期
    private String startDate;
    //结束日期
    private String endDate;
    //行为事件
    private String eventCode;
    //过滤条件
    private String filterParameter;


    public String getModelId() {
        return modelId;
    }

    public void setModelId(String modelId) {
        this.modelId = modelId;
    }

    public String getModelName() {
        return modelName;
    }

    public void setModelName(String modelName) {
        this.modelName = modelName;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getEventCode() {
        return eventCode;
    }

    public void setEventCode(String eventCode) {
        this.eventCode = eventCode;
    }

    public String getFilterParameter() {
        return filterParameter;
    }

    public void setFilterParameter(String filterParameter) {
        this.filterParameter = filterParameter;
    }

}
