package org.springblade.useranalysis.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import lombok.Data;

/**
 * @author Administrator
 *
 */
@Data
@TableName("ads_user_excel_import_log")
public class UserExcelImportLog {
	@TableId(type = IdType.ASSIGN_ID)
	@JsonSerialize(using=ToStringSerializer.class)
	private Long id;
	private String name;
	private Long count;
	@JsonSerialize(using=ToStringSerializer.class)
	private Long sysUserId;
	private String sysUserName;
	private Date createTime;
	//是否创建人群（1-是/0-否）
	private Integer userGroupStatus;
}
