package org.springblade.useranalysis.entity.clickhouse;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;


/**
 * (UserprofileAnalysisModel)表实体类
 *
 * @author limeng
 * @since 2021-07-06 14:38:04
 */
@SuppressWarnings("serial")
public class UserprofileAnalysisModel extends Model<UserprofileAnalysisModel> {

    @TableId()
    private String distinctId;

    private String clientIp;

    private String longitude;

    private String latitude;

    private String clickevent;

    private String client;

    private String clientTime;

    private String datadate;

    private String appVersion;

    private String netType;

    private String province;

    private String city;

    private String phoneType;

    private String screenWidth;

    private String screenHeigh;

    private String productId;

    private String productName;

    private String productClassify;

    private String productPrice;

    private String url;

    private String channel;

    private String tagGender;

    private String tagRfm;

    private String tagMember;

    private String tagActive;

    private String tagCustomer;

    private String tagActivePeriod;

    private String tagRegister;

    private String tagPurchaseState;


    public String getDistinctId() {
        return distinctId;
    }

    public void setDistinctId(String distinctId) {
        this.distinctId = distinctId;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getClickevent() {
        return clickevent;
    }

    public void setClickevent(String clickevent) {
        this.clickevent = clickevent;
    }

    public String getClient() {
        return client;
    }

    public void setClient(String client) {
        this.client = client;
    }

    public String getClientTime() {
        return clientTime;
    }

    public void setClientTime(String clientTime) {
        this.clientTime = clientTime;
    }

    public String getDatadate() {
        return datadate;
    }

    public void setDatadate(String datadate) {
        this.datadate = datadate;
    }

    public String getAppVersion() {
        return appVersion;
    }

    public void setAppVersion(String appVersion) {
        this.appVersion = appVersion;
    }

    public String getNetType() {
        return netType;
    }

    public void setNetType(String netType) {
        this.netType = netType;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getPhoneType() {
        return phoneType;
    }

    public void setPhoneType(String phoneType) {
        this.phoneType = phoneType;
    }

    public String getScreenWidth() {
        return screenWidth;
    }

    public void setScreenWidth(String screenWidth) {
        this.screenWidth = screenWidth;
    }

    public String getScreenHeigh() {
        return screenHeigh;
    }

    public void setScreenHeigh(String screenHeigh) {
        this.screenHeigh = screenHeigh;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductClassify() {
        return productClassify;
    }

    public void setProductClassify(String productClassify) {
        this.productClassify = productClassify;
    }

    public String getProductPrice() {
        return productPrice;
    }

    public void setProductPrice(String productPrice) {
        this.productPrice = productPrice;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getTagGender() {
        return tagGender;
    }

    public void setTagGender(String tagGender) {
        this.tagGender = tagGender;
    }

    public String getTagRfm() {
        return tagRfm;
    }

    public void setTagRfm(String tagRfm) {
        this.tagRfm = tagRfm;
    }

    public String getTagMember() {
        return tagMember;
    }

    public void setTagMember(String tagMember) {
        this.tagMember = tagMember;
    }

    public String getTagActive() {
        return tagActive;
    }

    public void setTagActive(String tagActive) {
        this.tagActive = tagActive;
    }

    public String getTagCustomer() {
        return tagCustomer;
    }

    public void setTagCustomer(String tagCustomer) {
        this.tagCustomer = tagCustomer;
    }

    public String getTagActivePeriod() {
        return tagActivePeriod;
    }

    public void setTagActivePeriod(String tagActivePeriod) {
        this.tagActivePeriod = tagActivePeriod;
    }

    public String getTagRegister() {
        return tagRegister;
    }

    public void setTagRegister(String tagRegister) {
        this.tagRegister = tagRegister;
    }

    public String getTagPurchaseState() {
        return tagPurchaseState;
    }

    public void setTagPurchaseState(String tagPurchaseState) {
        this.tagPurchaseState = tagPurchaseState;
    }

}
