/**
 * 
 */
package org.springblade.useranalysis.enums;

/**
 * @author wookvn
 *
 */
public enum UserGroupSearchFunction {

	eq(" = "),
	
	gt(" > "),
	
	lt(" < "),
	
	ge(" >= "),
	
	le(" <= "),
	
	like(" like '%%%s%%'");
	
	private String symbol;
	private UserGroupSearchFunction(String symbol) {
		this.symbol = symbol;
	}
	
	public String sql(String fieldName, String value) {
		return fieldName + this.symbol + value;
	}
	
	public String strSql(String fieldName, String value) {
		if(this.symbol.contains("%")) {
			return fieldName + String.format(this.symbol, value);
		}else {
			return fieldName + this.symbol + "'" + value + "'";
		}
	}
}
