package org.springblade.useranalysis.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.useranalysis.mapper.AdsAnalysisEventmodelMapper;
import org.springblade.useranalysis.entity.AdsAnalysisEventmodel;
import org.springblade.useranalysis.service.AdsAnalysisEventmodelService;
import org.springframework.stereotype.Service;

/**
 * 用户行为分析-事件分析查询保存(AdsAnalysisEventmodel)表服务实现类
 *
 * @author limeng
 * @since 2021-07-06 13:50:33
 */
@Service("adsAnalysisEventmodelService")
@DS("user_analysis_db")
public class AdsAnalysisEventmodelServiceImpl extends ServiceImpl<AdsAnalysisEventmodelMapper, AdsAnalysisEventmodel> implements AdsAnalysisEventmodelService {

}
