package org.springblade.useranalysis.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.useranalysis.mapper.clickhouse.DicEventMapper;
import org.springblade.useranalysis.entity.clickhouse.DicEvent;
import org.springblade.useranalysis.service.DicEventService;
import org.springframework.stereotype.Service;
import com.baomidou.dynamic.datasource.annotation.DS;

/**
 * (DicEvent)表服务实现类
 *
 * @author limeng
 * @since 2021-07-06 14:28:10
 */
@Service("dicEventService")
@DS("clickhouse")
public class DicEventServiceImpl extends ServiceImpl<DicEventMapper, DicEvent> implements DicEventService {

}
