package org.springblade.pson.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 用户画像-埋点项目
 * </p>
 *
 * @author zbc
 * @since 2021-04-16
 */
@Data
@Accessors(chain = true)
public class PsonProject implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty("主键id")
	@TableId(value = "id", type = IdType.AUTO)
    private Integer id;

	@ApiModelProperty("项目编码")
    private String projectCode;

	@ApiModelProperty("项目名称")
    private String projectName;

	@ApiModelProperty("项目描述")
    private String projectDesc;


}
