package org.springblade.pson.mapper;

import org.apache.ibatis.annotations.Param;
import org.springblade.pson.entity.Event;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springblade.pson.vo.EventVO;

import java.util.List;

/**
 * <p>
 * 事件表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-06-07
 */
public interface EventMapper extends BaseMapper<Event> {

    List<Event> getListByPlatform(@Param("param") String platform);

    List<EventVO> getEventList(@Param("projectId") String projectId);
}
