package org.springblade.pson.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.pson.entity.Event;
import org.springblade.pson.vo.EventVO;

import java.util.List;

/**
 * <p>
 * 事件表 服务类
 * </p>
 *
 * @author zbc
 * @since 2021-06-07
 */
public interface IEventService extends IService<Event> {

    List<Event> getListByPlatform(String platform);

    List<EventVO> getEventList(String projectId);
}
