package org.springblade.sms.bean.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 短信推送任务审核人表
 *
 * @Author：william
 * @Date：2022/6/8
 */
@Data
public class AdsMarketTaskInfoChecker implements Serializable {
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.ASSIGN_ID)
	@ApiModelProperty("主键")
	private Long id;

	@ApiModelProperty("审核状态：-1：审核未通过（作废）；0-待审核；1-审核通过；")
	private Integer status;

	@ApiModelProperty("审核人ID")
	private String checkUserId;

	@ApiModelProperty("审核人")
	private String checkUserName;

	@ApiModelProperty("任务ID")
	private Long taskId;
}
