package org.springblade.sms.bean.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 变量分页查询参数
 *
 * @Author：william
 * @Date：2022/6/8
 */
@Data
public class TemplateAttrPageParam {
	@ApiModelProperty("当前页")
	private Integer current;

	@ApiModelProperty("每页的数量")
	private Integer size;

	@ApiModelProperty("短信模板ID")
	private Integer templateId;

	@ApiModelProperty("变量名称")
	private String name;

	@ApiModelProperty("变量占位符")
	private String code;

	public Integer getCurrent() {
		return current == null || current < 1 ? 1 : current;
	}

	public Integer getSize() {
		return size == null || size < 1 ? 10 : size;
	}
}
