package org.springblade.sms.bean.params;

import com.github.xiaoymin.knife4j.core.util.StrUtil;

/**
 * 申请联通短信模板时返回的参数
 * 
 * @author William
 * @date 2022年11月13日 下午5:43:20
 */
public class TemplateCheckResponse {

	private String resultcode;
	private String errorinfo;
	private CheckData data;

	public TemplateCheckResponse() {
	}

	public boolean isSuccess() {
		return StrUtil.isNotBlank(resultcode) && resultcode.equalsIgnoreCase("0");
	}

	public String getResultcode() {
		return resultcode;
	}

	public void setResultcode(String resultcode) {
		this.resultcode = resultcode;
	}

	public String getErrorinfo() {
		return errorinfo;
	}

	public void setErrorinfo(String errorinfo) {
		this.errorinfo = errorinfo;
	}

	public CheckData getData() {
		return data;
	}

	public void setData(CheckData data) {
		this.data = data;
	}

	public static class CheckData {
		private String status;
		private String resultinfo;

		public CheckData() {
		}

		public String getStatus() {
			return status;
		}

		public void setStatus(String status) {
			this.status = status;
		}

		public String getResultinfo() {
			return resultinfo;
		}

		public void setResultinfo(String resultinfo) {
			this.resultinfo = resultinfo;
		}
	}

}
