//package org.springblade.sms.controller;
//
//import java.io.Serializable;
//import java.util.Date;
//import java.util.List;
//
//import org.springblade.core.boot.ctrl.BladeController;
//import org.springblade.core.mp.support.Condition;
//import org.springblade.core.mp.support.Query;
//import org.springblade.core.tool.api.R;
//import org.springblade.sms.bean.dto.AdsMarketSmsTemplateAttr;
//import org.springblade.sms.bean.params.TemplateAttrPageParam;
//import org.springblade.sms.service.AdsMarketSmsTemplateAttrService;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.dao.DuplicateKeyException;
//import org.springframework.web.bind.annotation.GetMapping;
//import org.springframework.web.bind.annotation.PathVariable;
//import org.springframework.web.bind.annotation.PostMapping;
//import org.springframework.web.bind.annotation.PutMapping;
//import org.springframework.web.bind.annotation.RequestBody;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RequestParam;
//import org.springframework.web.bind.annotation.RestController;
//
//import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
//import com.baomidou.mybatisplus.core.metadata.IPage;
//import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//
//import cn.hutool.core.util.StrUtil;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import lombok.extern.slf4j.Slf4j;
//
///**
// * 营销短信模版变量接口
// * 
// * @author William
// * @date 2022年11月10日 上午11:19:35
// */
//@Slf4j
//@RestController
//@RequestMapping("/smsTemplateAttr")
//@Api(value = "短信模版变量", tags = "短信模版变量")
//public class AdsMarketSmsTemplateAttrController extends BladeController {
//
//	@Autowired
//	private AdsMarketSmsTemplateAttrService service;
//
//	/**
//	 * 分页查询所有数据
//	 */
//	@GetMapping("/list")
//	@ApiOperation(value = "分页")
//	public R<IPage<AdsMarketSmsTemplateAttr>> selectAll(TemplateAttrPageParam param) {
//		LambdaQueryWrapper<AdsMarketSmsTemplateAttr> wrapper = Wrappers.<AdsMarketSmsTemplateAttr>lambdaQuery()
//				.orderByDesc(AdsMarketSmsTemplateAttr::getId);
//		if (param.getTemplateId() != null) {
//			wrapper.like(AdsMarketSmsTemplateAttr::getTemplateId, param.getTemplateId());
//		}
//		if (!StrUtil.isBlankIfStr(param.getName())) {
//			wrapper.like(AdsMarketSmsTemplateAttr::getName, param.getName());
//		}
//		if (!StrUtil.isBlankIfStr(param.getCode())) {
//			wrapper.eq(AdsMarketSmsTemplateAttr::getCode, param.getCode());
//		}
//		Query query = new Query();
//		query.setCurrent(param.getCurrent());
//		query.setSize(param.getSize());
//		return R.data(service.page(Condition.getPage(query), wrapper));
//	}
//
//	/**
//	 * 详情
//	 */
//	@GetMapping("/info")
//	@ApiOperation(value = "详情")
//	public R<AdsMarketSmsTemplateAttr> selectOne(@PathVariable Serializable id) {
//		return R.data(this.service.getById(id));
//	}
//
//	/**
//	 * 新增
//	 */
//	@PostMapping("/add")
//	@ApiOperation(value = "新增")
//	public R<String> add(@RequestBody AdsMarketSmsTemplateAttr attr) {
//		attr.setCreateTime(new Date());
//		boolean ret;
//		try {
//			ret = service.save(attr);
//			return R.status(ret);
//		} catch (DuplicateKeyException e) {
//			log.error(e.getMessage());
//			return R.fail("属性占位符不能重复");
//		}
//	}
//
//	/**
//	 * 修改
//	 */
//	@PutMapping("/update")
//	@ApiOperation(value = "修改")
//	public R<String> update(@RequestBody AdsMarketSmsTemplateAttr attr) {
//		return R.status(this.service.updateById(attr));
//	}
//
//	/**
//	 * 删除
//	 */
//	@PostMapping("/remove")
//	@ApiOperation(value = "删除")
//	public R<String> delete(@RequestParam("idList") List<Integer> idList) {
//		return R.status(this.service.removeByIds(idList));
//	}
//
//}
