package org.springblade.sms.enums;

/**
 * 人群类型
 * 
 * @author William
 * @date 2022年11月11日 上午12:46:51
 */
public enum GroupType {
	tag_group(1, "标签人群"),
	
	import_group(2, "导入人群"), 
	
	custom_group(3, "自定义人群");

	private Integer value;
	private String message;

	private GroupType(int value, String message) {
		this.value = value;
		this.message = message;
	}

	/**
	 * @return the value
	 */
	public Integer getValue() {
		return value;
	}

	/**
	 * @param value the value to set
	 */
	public void setValue(Integer value) {
		this.value = value;
	}

	/**
	 * @return the message
	 */
	public String getMessage() {
		return message;
	}

	/**
	 * @param message the message to set
	 */
	public void setMessage(String message) {
		this.message = message;
	}

	public static GroupType reslove(Integer value) {
		GroupType[] values = GroupType.values();
		for (GroupType val : values) {
			if (value != null && val.getValue().intValue() == value) {
				return val;
			}
		}
		return null;
	}
}
