package org.springblade.sms.kafka;

import org.springblade.sms.bean.dto.AdsMarketTaskInfo;

import lombok.Data;

/**
 * 短信发送需要的数据，在kafka之间传递
 * 
 * @author William
 * @date 2022年11月13日 下午11:30:40
 */
@Data
public class SmsDataKafka {
	/**
	 * 手机号
	 */
	private String mobile;

	/**
	 * 对应的短信任务
	 */
	private AdsMarketTaskInfo task;

	public SmsDataKafka() {
	}

	public SmsDataKafka(String mobile, AdsMarketTaskInfo task) {
		this.mobile = mobile;
		this.task = task;
	}

}
