package org.springblade.useranalysis.activespid.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 
 * @author william
 * @date 2022年9月7日 下午3:20:57
 */
@Data
@TableName("SPID_SMS_ACTIVE_LOG")
public class SpidSmsActiveLog implements Serializable {
	private static final long serialVersionUID = 1L;

	@TableId(value = "ID", type = IdType.ASSIGN_ID)
	private String id;

	@TableField("USERID")
	private String userId;

	@TableField("SPID")
	private String spid;

	@TableField("SPNAME")
	private String spname;

	@TableField("SMS_CONTENT")
	private String smsContent;

	@TableField("ACTIVITY_NAME")
	private String activityName;

	@TableField("TASK_PERSON")
	private String taskPerson;

	@TableField("CATEGORY")
	private String category;

	@TableField("SEND_TIME")
	private Date sendTime;

	@TableField("BATCH_NO")
	private String batchNo;

	@TableField("API_NAME")
	private String apiName;

	@TableField("SMS_READ_STATUS")
	private Integer smsReadStatus;

	@TableField("SMS_TASK_ID")
	private String smsTaskId;
}
