//package org.springblade.useranalysis.controller;
//
//
//import com.alibaba.fastjson.JSONObject;
//import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
//import io.swagger.annotations.Api;
//import lombok.AllArgsConstructor;
//import org.springblade.useranalysis.common.utils.CommonUtil;
//import org.springblade.useranalysis.common.utils.Constants;
//import org.springblade.useranalysis.common.utils.ErrorEnum;
//import com.baomidou.mybatisplus.extension.api.ApiController;
//import org.springblade.useranalysis.entity.clickhouse.UserEvent;
//import org.springblade.useranalysis.service.UserEventService;
//import org.springframework.web.bind.annotation.*;
//import io.swagger.annotations.ApiOperation;
//
//import javax.annotation.Resource;
//import java.util.List;
//
//import org.springblade.useranalysis.dto.ResultSegment;
//
///**
// * (UserEvent)表控制层
// *
// * @author limeng
// * @since 2021-07-06 16:06:41
// */
//@RestController
//@RequestMapping("userEvent")
//@AllArgsConstructor
//@Api(value = "用户事件", tags = "用户事件管理接口")
//public class UserEventController extends ApiController {
//    /**
//     * 服务对象
//     */
//
//    private final  UserEventService userEventService;
//
//    /**
//     * 查询数据
//     *
//     * @param id 实体对象
//     * @return 查询结果
//     */
//
//    @ApiOperation("查询列表")
//    @RequestMapping(value = "/list", method = RequestMethod.POST)
//    public ResultSegment list(@RequestParam(value = "id", required = false) String id) {
//        LambdaQueryWrapper<UserEvent> objectLambdaQueryWrapper = new LambdaQueryWrapper<>();
//        List<UserEvent> list = userEventService.list(objectLambdaQueryWrapper);
//        return new ResultSegment(true, Constants.SUCCESS_CODE, Constants.SUCCESS_MSG, list);
//    }
//
//    /**
//     * 新增数据
//     *
//     * @param userEvent 实体对象
//     * @return 新增结果
//     */
//    @ApiOperation(value = "添加")
//    @RequestMapping(value = "/addUserEvent", method = RequestMethod.POST)
//    public JSONObject addEventAnalysisModel(@RequestBody UserEvent userEvent) {
//        //Todo 判断重复
//        if (userEventService.save(userEvent)) {
//            return CommonUtil.successJson();
//        } else {
//            return CommonUtil.errorJson(ErrorEnum.E_400);
//        }
//    }
//
//    /**
//     * 修改数据
//     *
//     * @param userEvent 实体对象
//     * @return 修改结果
//     */
//    @ApiOperation("修改用户人群")
//    @PutMapping(value = "/update")
//    public JSONObject updateUserEvent(@RequestBody UserEvent userEvent) {
//
//        if (userEventService.updateById(userEvent)) {
//            return CommonUtil.successJson();
//        } else {
//            return CommonUtil.errorJson(ErrorEnum.E_10010);
//        }
//
//
//    }
//
//    /**
//     * 删除数据
//     *
//     * @param id 主键
//     * @return 删除结果
//     */
//    @ApiOperation(value = "删除")
//    @DeleteMapping(value = "/deleteById")
//    public JSONObject deleteUserEvent(@RequestParam(value = "id", required = false) String id) {
//        if (userEventService.removeById(id)) {
//            return CommonUtil.successJson();
//        } else {
//            return CommonUtil.errorJson(ErrorEnum.E_10010);
//        }
//    }
//}
