package org.springblade.useranalysis.dto;

import java.util.List;

import lombok.Data;

@Data
public class RequestDistributeAnalysis {
    private String ptype;
    private String startDate;
    private String endDate;
    
    private String dimension;   // 细分维度
    private EventDistributeCode event;  // 指标
    
    private EventFilterParameter filterParameter;
    
    //自定义分布
    private List<EventDistributeRange> distributeRange;
    
}