/**
 * 
 */
package org.springblade.useranalysis.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@TableName("usergroup_asyncdata_log")
public class UserGroupAsyncDataLog implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer logId;
	
	private String groupId;
	
	private String theMonth;
	
	private Date createTime;
	
	private Integer processStatus;
	
	private Date finishTime;
	
	public UserGroupAsyncDataLog() {}

	/**
	 * @param groupId
	 * @param theMonth
	 * @param processStatus
	 * @param finishTime
	 */
	public UserGroupAsyncDataLog(String groupId, String theMonth, Integer processStatus, Date finishTime) {
		super();
		this.groupId = groupId;
		this.theMonth = theMonth;
		this.processStatus = processStatus;
		this.finishTime = finishTime;
		this.createTime = new Date();
	}
	
}
