package org.springblade.useranalysis.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;

/**
 * @description userprofile_analysis_model
 * @author limeng
 * @date 2021-06-25
 */
@Data
@TableName(value = "userprofile_analysis_model" ,autoResultMap = true)
@ApiModel(value = "userprofile_analysis_model对象", description = "用户事件表")
public class UserprofileAnalysisModelEntity implements Serializable {



    @TableId()
    /**
     * distinct_id
     */
    private String distinctId;

    /**
     * client_ip
     */
    private String clientIp;

    /**
     * longitude
     */
    private String longitude;

    /**
     * latitude
     */
    private String latitude;

    /**
     * clickevent
     */
    private String clickevent;

    /**
     * client
     */
    private String client;

    /**
     * client_time
     */
    private String clientTime;

    /**
     * datadate
     */
    private String datadate;

    /**
     * app_version
     */
    private String appVersion;

    /**
     * net_type
     */
    private String netType;

    /**
     * province
     */
    private String province;

    /**
     * city
     */
    private String city;

    /**
     * phone_type
     */
    private String phoneType;

    /**
     * screen_width
     */
    private String screenWidth;

    /**
     * screen_heigh
     */
    private String screenHeigh;

    /**
     * product_id
     */
    private String productId;

    /**
     * product_name
     */
    private String productName;

    /**
     * product_classify
     */
    private String productClassify;

    /**
     * product_price
     */
    private String productPrice;

    /**
     * url
     */
    private String url;

    /**
     * channel
     */
    private String channel;

    /**
     * tag_gender
     */
    private String tagGender;

    /**
     * tag_rfm
     */
    private String tagRfm;

    /**
     * tag_member
     */
    private String tagMember;

    /**
     * tag_active
     */
    private String tagActive;

    /**
     * tag_customer
     */
    private String tagCustomer;

    /**
     * tag_active_period
     */
    private String tagActivePeriod;

    /**
     * tag_register
     */
    private String tagRegister;

    /**
     * tag_purchase_state
     */
    private String tagPurchaseState;


}
