/**
 * 
 */
package org.springblade.useranalysis.enums;

/**
 * @author wookvn
 *
 */
public enum EventCountType {

	/**
	 * 次数
	 */
	general("次数", "count(anonymous_id)"),
	
	/**
	 * 人数
	 */
	unique("人数", "uniqCombined(anonymous_id)");
	
	public String sqlSnippet;
	public String message;
	
	private EventCountType(String message, String sqlSnippet) {
		this.sqlSnippet = sqlSnippet;
		this.message = message;
	}
	
}
