/**
 * 
 */
package org.springblade.useranalysis.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.alibaba.fastjson2.JSONObject;

/**
 * @author wookvn
 *
 */
public interface ProductInfoMapper {

	@Select({"<script>", 
		"select SPID, SPNAME from V_TB_SP_INFO where SPID in ", 
		"<foreach collection='spidList' item='spid' separator=',' open='(' close=')'>",
		"#{spid}",
		"</foreach>",
		"</script>"})
	public List<JSONObject> spList(@Param("spidList")List<String> spidList);
}