/**
 * 
 */
package org.springblade.useranalysis.mapper.clickhouse;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.useranalysis.entity.clickhouse.AlsRmfResult;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @author wookvn
 *
 */
public interface AlsRmfResultMapper extends BaseMapper<AlsRmfResult> {

	@Select("select * from ALS_RMF_CLUSTER2_RESULT_RADAR")
	public List<JSONObject> radarList();
	
	
	@Select({"<script>",
			"<if test='dimensionField == \"l\"'>with L/1024 as l </if>",
			"select CLASS, ${countSql} from  ALS_RMF_CLUSTER2_RESULT group by CLASS",
			"</script>"})
	public List<JSONObject> mlgList(
						@Param("countSql") String countSql,
						@Param("dimensionField") String dimensionField);
}
