/**
 * 
 */
package org.springblade.useranalysis.mapper.clickhouse;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import com.alibaba.fastjson2.JSONObject;

/**
 * @author wookvn
 *
 */
public interface UserGroupSumDataMapper {

	@Select("select count(1) as cnt from ads.BIZ_USER_GROUP_TAG_SUM where group_id = #{groupId} and the_month = #{month}")
	public long count(@Param("groupId")String groupId, @Param("month")String month);
	
	@Update("alter table ads.BIZ_USER_GROUP_TAG_SUM drop PARTITION ${value}")
	public void deleteByGroupId(String groupId);
	
	@Update("${value}")
	public int executeSql(String sql);
	
	@Select("<script><![CDATA[ ${sql} ]]></script>")
	public List<JSONObject> selectList(@Param("sql") String sql);
}
