package org.springblade.useranalysis.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.useranalysis.mapper.AdsPropertyListMapper;
import org.springblade.useranalysis.entity.AdsPropertyList;
import org.springblade.useranalysis.service.AdsPropertyListService;
import org.springframework.stereotype.Service;

/**
 * 属性选择下拉菜单(AdsPropertyList)表服务实现类
 *
 * @author limeng
 * @since 2021-07-06 16:20:41
 */
@Service("adsPropertyListService")
@DS("user_analysis_db")
public class AdsPropertyListServiceImpl extends ServiceImpl<AdsPropertyListMapper, AdsPropertyList> implements AdsPropertyListService {

}
